 

class CategoryModel {
  String? status_code;
  String? message;
  List<CategoryDataModel>? data = [];

  CategoryModel({this.status_code, this.message, this.data});

  CategoryModel.fromJson(var json) {
    status_code = json['status_code'];
    message = json['message'];
    json['data']
        .forEach((element) => data!.add(CategoryDataModel.fromJson(element)));
  }
}

class CategoryDataModel {
  int? term_id;
  String? name;
  String? slug;
  int? term_group;
  int? term_taxonomy_id;
  String? taxonomy;
  String? description;
  int? parent;
  int? count;
  String? filter;
  int? cat_ID;
  int? category_count;
  String? category_description;
  String? cat_name;
  String? category_nicename;
  int? category_parent;
  /*CategoryDataModel(
      {this.term_id,
      this.name,
      this.slug,
      this.term_group,
      this.term_taxonomy_id,
      this.taxonomy,
      this.description,
      this.parent,
      this.count,
      this.filter,
      this.cat_ID,
      this.category_count,
      this.category_description,
      this.cat_name,
      this.category_nicename,
      this.category_parent});*/
  CategoryDataModel.fromJson(var json) {
    try {
      if (json.length == 0) return;
      name = json['name'];
      slug = json['slug'];
      term_group = json['term_group'];
      term_taxonomy_id = json['term_taxonomy_id'];
      taxonomy = json['taxonomy'];
      description = json['description'];
      parent = json['parent'];
      count = json['count'];
      filter = json['filter'];
      term_id = json['term_id'];
      cat_ID = json['cat_ID'];
      category_count = json['category_count'];
      category_description = json['category_description'];
      cat_name = json['cat_name'];
      category_nicename = json['category_nicename'];
      category_parent = json['category_parent'];
    } catch (ex) {
      //throw ModelException(ex.message, ex.hashCode);
    }
  }
}
